library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.testpack.ALL;

entity testbench is
end testbench;

architecture behavioral of testbench is

   component main
      PORT(
            quartz_I : in std_logic;
            clk_I    : in std_logic;
            start_I  : in std_logic;
            err_I    : in std_logic_vector(2 downto 0);
            qclk_O   : out std_logic;
            heater_O : out std_logic;
            fan_O    : out std_logic;
            led_rt_O : out std_logic;
            led_gn_O : out std_logic;
            beeper_O : out std_logic
           );
   end component;

   Signal quartz_I : in std_logic;
   Signal clk_I    : in std_logic;
   Signal start_I  : in std_logic;
   Signal err_I    : in std_logic_vector(2 downto 0);
   Signal qclk_O   : out std_logic;
   Signal heater_O : out std_logic;
   Signal fan_O    : out std_logic;
   Signal led_rt_O : out std_logic;
   Signal led_gn_O : out std_logic;
   Signal beeper_O : out std_logic

   constant tb_time : time:= 100 ns; -- Zeitkonstante definieren

BEGIN

   map_tb : main port map(quartz_I=>quartz_I,clk_I=>clk_I,
                          start_I=>start_I,err_I=>err_I,
                          qclk_O=>qclk_O,heater_O=>heater_O,
                          fan_O=>fan_O,led_rt_O=>led_rt_O,
                          led_gn_O=>led_gn_O,beeper_O=>beeper_O
                          );


   ptest : PROCESS
           BEGIN


           wait; -- Test beendet
           END PROCESS ptest;

END behavioral;

